Robotsystem of the Robot Group Leipzig: AbstractGround Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractGround Class Reference

`#include <abstractground.h>`

Inherits AbstractObstacle.

Inherited by OctaPlayground, and Playground.

Inheritance diagram for AbstractGround:

[legend]
Collaboration diagram for AbstractGround:

[legend]
List of all members.

## Public Member Functions
| AbstractGround (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool createGround=true)
virtual | ~AbstractGround ()
virtual void | update ()
| updates the position if the scenegraph nodes
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual void | createGround (bool create)
virtual void | setColor (const Color &color)
| sets the obstacle color
virtual void | setTexture (const std::string &filename)
virtual Primitive * | getMainPrimitive () const
virtual void | setGroundTexture (const std::string &filename)
virtual void | setGroundColor (const Color &color)
| sets the ground color should be called before setPosition()
## Protected Member Functions
virtual void | recreate ()
virtual void | create ()=0
virtual void | createGround ()
virtual void | destroy ()
## Protected Attributes
std::vector< Primitive * > | obst
Primitive * | groundPlane
bool | creategroundPlane
double | ground_length
std::string | wallTextureFileName
Color | groundColor
std::string | groundTextureFileName

## Constructor & Destructor Documentation

AbstractGround | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | createGround = `true` |
| ) |  |  |

~AbstractGround | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void create | ( |  | ) | `[protected, pure virtual]`

Implements AbstractObstacle.

Implemented in ClosedPlayground, OctaPlayground, and Playground.

void createGround | ( |  | ) | `[protected, virtual]`

void createGround | ( | bool | create | ) | `[virtual]`

void destroy | ( |  | ) | `[protected, virtual]`

Implements AbstractObstacle.

Reimplemented in ClosedPlayground.

Primitive * getMainPrimitive | ( |  | ) | const`[virtual]`

Implements AbstractObstacle.

void recreate | ( |  | ) | `[protected, virtual]`

void setColor | ( | const Color & | color | ) | `[virtual]`

sets the obstacle color

Parameters:

  | color | values in RGBA

Reimplemented from AbstractObstacle.

void setGroundColor | ( | const Color & | color | ) | `[virtual]`

sets the ground color should be called before setPosition()

Parameters:

  | color | values in RGBA

void setGroundTexture | ( | const std::string & | filename | ) | `[virtual]`

void setPose | ( | const osg::Matrix & | pose | ) | `[virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

void setTexture | ( | const std::string & | filename | ) | `[virtual]`

void update | ( |  | ) | `[virtual]`

updates the position if the scenegraph nodes

Implements AbstractObstacle.

## Member Data Documentation

bool creategroundPlane`[protected]`

double ground_length`[protected]`

Color groundColor`[protected]`

Primitive* groundPlane`[protected]`

std::string groundTextureFileName`[protected]`

std::vector<Primitive*> obst`[protected]`

std::string wallTextureFileName`[protected]`

The documentation for this class was generated from the following files:

- abstractground.h
- abstractground.cpp